### Function

# Camel Sasl is_xoauth2_alias

since: 3.28

#### Declaration [src]

    gboolean
    camel_sasl_is_xoauth2_alias (
      const gchar* mechanism
    )

#### Description [src]

Checks whether exists a `CamelSasl` method for the `mechanism` and whether it derives from `CamelSaslXOAuth2`. Such mechanisms are also treated as XOAUTH2, even their real name is different.

Available since: 3.28

#### Parameters

`mechanism`

  Type: `const gchar*`

  An authentication mechanism.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether exists `CamelSasl` for the given `mechanism`, which also derives from `CamelSaslXOAuth2`.